Bug 23480 - RFE: Seperate Syslog, klog and minilog sockets
RFE: Seperate Syslog, klog and minilog sockets
Product: Red Hat Raw Hide
Classification: Retired
Component: sysklogd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-01-06 06:53 EST by Andrew Bartlett
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 19:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2001-01-06 06:53:58 EST
One of the things that bothers me is the way that syslog output currently

My proposal:
Create 3 different sockets for syslog, one for syslog (standard /dev/log,
standard permissions), one for klogd (with root-only access, so normal
users at least cannot fake kernel messages), and one for minilogd.

The minilogd and klog sockets would also allow for ordering of output on
boot, becuase currently it all gets rather jumbled.  It should be possible
to read all of the waiting data on the klogd socket, then the data in the
minilogd socket, then the normal syslog traffic.

A sperate socket for klogd would allow syslogd to ensure that kernel
messages actualy came from the kernel (getting part way to fixing bug
10222).  (BTW, OpenBSD does this, but they use syslogd for kernel messages,
and just add a simple check on the /dev/log input that it doesn't use the
facility 'kernel').
Comment 1 Jason Vas Dias 2004-08-24 19:39:45 EDT
 Just clearing out old bugs here - this one ceased to be an issue
 ages ago.

Note You need to log in before you can comment on or make changes to this bug.